import { ActionFormData } from "@minecraft/server-ui";
export default class Dialog_Form extends ActionFormData {
    constructor() {
        super(...arguments);
        this.buttons = new Array();
    }
    title(title) {
        super.title(title + "§d§f");
        return this;
    }
    body(text) {
        super.body("§r§f" + text);
        return this;
    }
    texture(texture) {
        super.button("texture_button", texture);
        this.buttons.push("texture_button");
    }
    button(text) {
        this.buttons.push(text);
        super.button("§f" + text + "§f");
        return this;
    }
}
